# Campaigns

In the **Campaigns** tab of the Umbraco Engage, you can view all analytics data related to your campaigns. These campaigns are tracked automatically using Urchin Tracking Module (UTM) parameters, which you may already be using to monitor your marketing efforts.

You can add five different parameters to your URLs:

* `utm_source`: Identify the advertiser, site, publication that is sending traffic to your property. For example: google, newsletter4, billboard.
* `utm_medium`: The advertising or marketing medium. For example: Cost Per Click (CPC), banner, email newsletter.
* `utm_campaign`: The individual campaign name, slogan, promo code for a product.
* `utm_term`: Identify paid search keywords. If you are manually tagging paid keyword campaigns, you should also use *utm\_term* to specify the keyword.
* `utm_content`: Used to differentiate similar content or links within the same ad. For example: if you have two call-to-action links within the same email message, you can use *utm\_content* and set different values for each so you can tell which version is more effective.

Each parameter must be paired with a value that you assign. Each parameter-value pair then contains campaign-related information.

For example, if you want to link from a newsletter to the pricing page of umbraco.com, you can use the following parameters:

* `utm_source`: Newsletter-july-2024 to identify that this visitor came from this specific newsletter
* `utm_medium`: Newsletter to show that the medium was a newsletter
* `utm_campaign`: More\_signups because that newsletter was part of a larger campaign
* `utm_content`: Bottom\_button to identify a specific link in the newsletter

If you want to use these parameters, you will need to set up the URL like:

{% code overflow="wrap" %}

```none
https://www.umbraco.com/pricing/?utm_source=newsletter-july-2024&utm_medium=newsletter&utm_campaign=more_signups&utm_content=bottom_button
```

{% endcode %}

## Campaign Report

The report shows all campaigns set up with the `utm_campaign` parameter.

![Report displaying Campaigns setup](/files/CFiK7tXBj0ZRP8W9d3bt)

You can see:

* How many visitors came to the website via the campaign URL?
* How many sessions were created?
* How often was a goal triggered by visitors from this campaign?

You can also drill down to view the source and medium for each campaign.

![Campaign Details](/files/LnPuWYlrlnWRK8uNXeCJ)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-engage/marketers-and-editors/analytics/campaigns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
